Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
member_type_string Class Reference

`#include <attr.hpp>`

## Public Member Functions
| member_type_string (osmium::item_type type, osmium::object_id_type ref, std::string &&role)
| member_type_string (char type, osmium::object_id_type ref, std::string &&role) noexcept
osmium::item_type | type () const noexcept
osmium::object_id_type | ref () const noexcept
const char * | role () const noexcept

## Private Attributes
osmium::item_type | m_type
osmium::object_id_type | m_ref
std::string | m_role

## Constructor & Destructor Documentation

## ◆ member_type_string() [1/2]

member_type_string::member_type_string | ( | osmium::item_type | type,
|  | osmium::object_id_type | ref,
|  | std::string && | role )
| inline

## ◆ member_type_string() [2/2]

member_type_string::member_type_string | ( | char | type,
|  | osmium::object_id_type | ref,
|  | std::string && | role )
| inline noexcept

## Member Function Documentation

## ◆ ref()

osmium::object_id_type member_type_string::ref | ( |  | ) | const
| inline noexcept

## ◆ role()

const char * member_type_string::role | ( |  | ) | const
| inline noexcept

## ◆ type()

osmium::item_type member_type_string::type | ( |  | ) | const
| inline noexcept

## Member Data Documentation

## ◆ m_ref

osmium::object_id_type member_type_string::m_ref
| private

## ◆ m_role

std::string member_type_string::m_role
| private

## ◆ m_type

osmium::item_type member_type_string::m_type
| private

The documentation for this class was generated from the following file:

- include/osmium/builder/attr.hpp